View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001654aMuleServerspublic2011-02-20 09:192011-03-09 10:27
Reportervluban 
Assigned Tosturedman 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.6 
Target Version2.3.1Fixed in Version2.3.1 
Summary0001654: amuleweb crashes if file that is removed from library or downloads is still being uploaded
DescriptionSee summary
Additional InformationPatch that fixes the issue uploaded and listed here
===Patch===
--- src/webserver/src/php_amule_lib.cpp.orig 2011-02-19 00:08:31.000000000 -0800
+++ src/webserver/src/php_amule_lib.cpp 2011-02-19 00:02:30.000000000 -0800
@@ -906,8 +906,12 @@
             SharedFile::GetContainerInstance()->ReQuery();
             sharedfile = SharedFile::GetContainerInstance()->GetByID(obj->nHash);
         }
+ if ( sharedfile ) {
         wxString short_name(sharedfile->sFileName.Length() > 60 ? (sharedfile->sFileName.Left(60) + (wxT(" ..."))) : sharedfile->sFileName);
         result->str_val = strdup((const char *)unicode2UTF8(short_name));
+ }
+ else
+ result->str_val = strdup((const char *)wxT("removed"));
     } else if ( strcmp(prop_name, "user_name") == 0 ) {
         result->type = PHP_VAL_STRING;
         result->str_val = strdup((const char *)unicode2UTF8(obj->sUserName));
TagsNo tags attached.
Fixed in Revision10222
Operating SystemAny
Attached Filespatch file icon amuleweb.patch [^] (770 bytes) 2011-02-20 09:19 [Show Content]

- Relationships

-  Notes
(0003539)
sturedman (developer)
2011-03-09 10:27

This has been fixed in SVN for a while. Thank you for reporting anyway!

- Issue History
Date Modified Username Field Change
2011-02-20 09:19 vluban New Issue
2011-02-20 09:19 vluban File Added: amuleweb.patch
2011-02-20 09:19 vluban Operating System => Any
2011-03-09 10:27 sturedman Fixed in Revision => 10222
2011-03-09 10:27 sturedman Note Added: 0003539
2011-03-09 10:27 sturedman Assigned To => sturedman
2011-03-09 10:27 sturedman Status new => resolved
2011-03-09 10:27 sturedman Resolution open => fixed
2011-03-09 10:27 sturedman Fixed in Version => 2.3.1
2011-03-09 10:27 sturedman Target Version => 2.3.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker